<picture>
    <source srcset="https://demo.rezervovator.cz/rezervovator_l.svg">
    <img src="https://demo.rezervovator.cz/rezervovator_l.svg" alt="Rezervovator Logo">
</picture>

# Rezervovator

Simple application for booking sport or service facilities.

## Building project

You will need cargo-leptos tool:

`cargo install cargo-leptos`

## Running project

`cargo leptos watch`

## Executing a Server on a Remote Machine Without the Toolchain
After running a `cargo leptos build --release` the minimum files needed are:

1. The server binary located in `target/server/release`
2. The `site` directory and all files within located in `target/site`

Copy these files to your remote server. The directory structure should be:
```text
leptos_start
site/
```
Set the following environment variables (updating for your project as needed):
```sh
export LEPTOS_OUTPUT_NAME="leptos_start"
export LEPTOS_SITE_ROOT="site"
export LEPTOS_SITE_PKG_DIR="pkg"
export LEPTOS_SITE_ADDR="127.0.0.1:3000"
export LEPTOS_RELOAD_PORT="3001"
```
Finally, run the server binary.

## Notes about SSG and Trunk:
Although it is not recommended, you can also run your project without server integration using the feature `csr` and `trunk serve`:

`trunk serve --open --features csr`

This may be useful for integrating external tools which require a static site, e.g. `tauri`.
